/*
 *  All credits to Nikki of GitHub
 *  -> https://github.com/nikkiii/j-threadedsql <-
 *  Thank you for sharing such awesome code!
 * 
 */

package com.empscraft.bouncer.util.mysql;

/**
 * The interface that all DatabaseConfigurations implement to provide a new connection
 * 
 * @author Nikki
 *
 */
public interface DatabaseConfiguration {

	/**
	 * Create a new database connection
	 * 
	 * @return The new connection
	 */
	public DatabaseConnection newConnection();

}